clang 8.0.0

Public Member Functions | List of all members
clang::MangleNumberingContext Class Referenceabstract

Keeps track of the mangled names of lambda expressions and block literals within a particular context. More...

`#include "clang/AST/MangleNumberingContext.h"`

## Public Member Functions
virtual | ~MangleNumberingContext ()
virtual unsigned | getManglingNumber (const CXXMethodDecl *CallOperator)=0
| Retrieve the mangling number of a new lambda expression with the given call operator within this context. More...
virtual unsigned | getManglingNumber (const BlockDecl *BD)=0
| Retrieve the mangling number of a new block literal within this context. More...
virtual unsigned | getStaticLocalNumber (const VarDecl *VD)=0
| Static locals are numbered by source order. More...
virtual unsigned | getManglingNumber (const VarDecl *VD, unsigned MSLocalManglingNumber)=0
| Retrieve the mangling number of a static local variable within this context. More...
virtual unsigned | getManglingNumber (const TagDecl *TD, unsigned MSLocalManglingNumber)=0
| Retrieve the mangling number of a static local variable within this context. More...

## Detailed Description

Keeps track of the mangled names of lambda expressions and block literals within a particular context.

Definition at line 32 of file MangleNumberingContext.h.

## Constructor & Destructor Documentation

## ◆ ~MangleNumberingContext()

virtual clang::MangleNumberingContext::~MangleNumberingContext | ( |  | ) |
| inline virtual

Definition at line 34 of file MangleNumberingContext.h.

References getManglingNumber(), and getStaticLocalNumber().

## Member Function Documentation

## ◆ getManglingNumber() [1/4]

virtual unsigned clang::MangleNumberingContext::getManglingNumber | ( | const CXXMethodDecl * | CallOperator | ) |
| pure virtual

Retrieve the mangling number of a new lambda expression with the given call operator within this context.

Referenced by ~MangleNumberingContext().

## ◆ getManglingNumber() [2/4]

virtual unsigned clang::MangleNumberingContext::getManglingNumber | ( | const BlockDecl * | BD | ) |
| pure virtual

Retrieve the mangling number of a new block literal within this context.

## ◆ getManglingNumber() [3/4]

virtual unsigned clang::MangleNumberingContext::getManglingNumber | ( | const VarDecl * | VD,
|  | unsigned | MSLocalManglingNumber
| ) |  |
| pure virtual

Retrieve the mangling number of a static local variable within this context.

## ◆ getManglingNumber() [4/4]

virtual unsigned clang::MangleNumberingContext::getManglingNumber | ( | const TagDecl * | TD,
|  | unsigned | MSLocalManglingNumber
| ) |  |
| pure virtual

Retrieve the mangling number of a static local variable within this context.

## ◆ getStaticLocalNumber()

virtual unsigned clang::MangleNumberingContext::getStaticLocalNumber | ( | const VarDecl * | VD | ) |
| pure virtual

Static locals are numbered by source order.

Referenced by ~MangleNumberingContext().

The documentation for this class was generated from the following file:

- include/clang/AST/MangleNumberingContext.h